Subject: s2ibis2 question?

From: Huang <[email-masked]>
Date: Mon, 14 Oct 1996 17:20:45 +0800

Hello,

  I am a new learner for IBIS models version 2.1 and is using s2ibis2.
Now I am facing a problem: while I characterize for a simple 3-state I/O
pad (refer to attachment), the generated .spi file will not function
correctly.  After examining the .spi file, I found the TN pin will NOT
be set while characterizing for the A pin (and vice versa).  So I need
to correct this error by hand.  Is there any way to make this process
more automatically?  Or I make a wrong .s2i file?

  Besides, if I just want the bd4t model for IO pin, could I just not
create for the other 2 models for A and TN?

  Any help or comments will be appreciated.

best regards,
Arthur Huang

ps. my s2ibis2 is s2ibis2.sparc, version no. v0.91BETA

[attachment]
(first is bd4t.s2i, and second is bd4t)
| TEST IBIS characterization
[IBIS Ver]	2.1
[File rev]	1.0
[Date]	Mon Oct 14 15:56:30 1996
[Disclaimer]	for characterization purpose only
[Spice type]	hspice
| [Iterate]
| [Cleanup]
[Component]	bd4t
[Manufacturer]	Arthur
| [Package model]	pkg_type
[Spice file]	bd4t
[Temperature range]	50	100	0
[Voltage range]		3.3	3.0	3.6
[R_pkg]			1.0m	0.5m	1.5m
[L_pkg]			2.5nH	2.0nH	3.0nH
[C_pkg]			4.0pF	3.5pF	4.5pF
| [Diff pin]
| describe the differential pin list

| [Pin mapping]
| currently just neglect this command

[Pin]
A	A	s_A	A
TN	TN	s_TN	TN
IO	IO	s_IO	bd4t
-> A TN
VDD	vdd	s_p	POWER
pGND	g	GND	GND

[Model]	A
[Model type]	Input
[Polarity]	Non-Inverting
[Vinl]	0
[Vinh]	5.0

[Model]	TN
[Model type]	Input
[Polarity]	Non-Inverting
[Vinl]	0
[Vinh]	5.0

[Model]	bd4t
[Model type]	I/O
[Polarity]	Non-Inverting

* testing spice deck for bd4t IBIS 2.1 model characterization

* change the following line to your library file
.inc "bd4t.lib"
.global vdd gnd vpp

xCKT A IO ZI TN bd4t

.subckt bd4t a io zi tn
xnd1 a tn n1 nand
xnd2 n1 tn n2 nand
xiv1 n2 n3 inv
mpio io n1 vdd vdd p w=60u l=1u m=1
mnio io n3 gnd gnd n w=30u l=1u m=1
xiv2 n4 zi inv
xiv3 io n4 inv
.ends bd4t

.subckt nand a b z
mpa z a vdd vdd p w=6u l=1u m=1
mpb z b vdd vdd p w=6u l=1u m=1
mna z a mid gnd n w=3u l=1u m=1
mnb mid b gnd gnd n w=3u l=1u m=1
.ends nand

.subckt inv a z
mp z a vdd vdd p w=6u l=1u m=1
mn z a gnd gnd n w=3u l=1u m=1
.ends inv